#!/bin/sh
echo 'name: HsOpenSSL
version: 0.10.1.2
id: HsOpenSSL-0.10.1.2-48127c18c7ff89290fb3418c26915f74

license: PublicDomain
copyright:
maintainer: PHO <pho at cielonegro dot org>
stability: stable
homepage: https://github.com/phonohawk/HsOpenSSL
package-url:
description: HsOpenSSL is an (incomplete) OpenSSL binding for Haskell. It can
             generate RSA and DSA keys, read and write PEM files, generate
             message digests, sign and verify messages, encrypt and decrypt
             messages. It has also some capabilities of creating SSL clients
             and servers.
category: Cryptography
author: Adam Langley, Mikhail Vorozhtsov, PHO, Taru Karttunen
exposed: True
exposed-modules: OpenSSL OpenSSL.BN OpenSSL.EVP.Base64
                 OpenSSL.EVP.Cipher OpenSSL.EVP.Digest OpenSSL.EVP.Open
                 OpenSSL.EVP.PKey OpenSSL.EVP.Seal OpenSSL.EVP.Sign
                 OpenSSL.EVP.Verify OpenSSL.Cipher OpenSSL.PEM OpenSSL.PKCS7
                 OpenSSL.Random OpenSSL.DSA OpenSSL.RSA OpenSSL.X509
                 OpenSSL.X509.Revocation OpenSSL.X509.Request OpenSSL.X509.Store
                 OpenSSL.Session OpenSSL.DH
hidden-modules: OpenSSL.ASN1 OpenSSL.BIO OpenSSL.ERR
                OpenSSL.Objects OpenSSL.SSL OpenSSL.Stack OpenSSL.Utils
                OpenSSL.X509.Name OpenSSL.EVP.Internal OpenSSL.DH.Internal
import-dirs: /usr/local/lib/ghc-7.0.4/cabal/HsOpenSSL-0.10.1.2
library-dirs: /usr/local/lib/ghc-7.0.4/cabal/HsOpenSSL-0.10.1.2
              /usr/local/lib
hs-libraries: HSHsOpenSSL-0.10.1.2
extra-libraries: crypto ssl
extra-ghci-libraries:
include-dirs: /usr/local/include
              /usr/local/lib/ghc-7.0.4/cabal/HsOpenSSL-0.10.1.2/include
includes:
depends: base-4.3.1.0-c683e1c476645dcbab1b168f8e5a9aeb
         bytestring-0.9.1.10-94a0a1c920aee21a485bdf21fd51b2be
         ghc-prim-0.2.0.0-d9df11f804556f362beb0ea4e67261ba
         integer-gmp-0.2.0.3-4908241a60353d401d28868826ecd015
         network-2.3.0.5-d9102d5edc664892d2dba1627ef2943b
         old-locale-1.0.0.2-cc522edd16b73a70b897598c5f5d20c7
         time-1.2.0.3-4f1bed38bdf37d398ba8f4311cbdac4a
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/cabal/HsOpenSSL-0.10.1.2/html/HsOpenSSL.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/cabal/HsOpenSSL-0.10.1.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
